
package de.ivu.elect.presentation.benutzerverwaltung.menu;

import java.util.Collections;
import java.util.List;

import javax.inject.Named;

import de.ivu.elect.business.security.UseCasePermission;

@Named(NachrichtDeleteAllMenuItemEntry.COMPONENT_NAME)
public class NachrichtDeleteAllMenuItemEntry extends AbstractNachrichtMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "nachrichtDeleteAllMenuItemEntry";

  public NachrichtDeleteAllMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.NACHRICHT_DELETE;
  }

  @Override
  protected boolean isAjax() {
    return true;
  }

  @Override
  public String getTargetViewId() {
    return null;
  }

  @Override
  public String getDialogName() {
    return "DeleteConfirmAll";
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMeta().getMehrzahlMessage());
  }

  @Override
  public String getLabelKey() {
    return "entity.edit.action.delete.all.entities";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconDelete();
  }

  @Override
  protected List<String> getAdditionalTopicViewIds() {
    return Collections.singletonList("");
  }
}
